/* ./src/index.css */
@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  .menu-item {
    @apply transition duration-500 block p-2 h-full text-white no-underline
      bg-gradient-to-b hover:from-red-400 hover:via-red-500 hover:to-pink-300;
  }

  .container {
    margin: 0 auto;
  }

  .link {
    @apply text-pink-600 underline hover:text-yellow-600;
  }

  .button {
    @apply inline-block uppercase tracking-wide text-sm font-semibold pl-5 pr-5 pt-3 pb-3 m-2
      text-center text-white rounded-sm transition-colors hover:bg-pink-700
      bg-gradient-to-b from-red-400 via-red-500 to-pink-500
      hover:from-red-400 hover:via-red-500 hover:to-pink-300;
  }

  .button-small {
    @apply button text-xs px-3 py-1 my-1 mx-0.5;
  }

  .input {
    @apply inline-block py-2 px-4 text-lg shadow-sm rounded-sm border border-gray-300 border-solid focus:outline-none focus:ring-2;
  }

  .error {
    @apply text-red-600 bg-red-200 border border-red-500 my-8 px-2 py-1 rounded-sm;
  }
}
